---
title: Upgrade
url: https://docs.vultr.com/products/orchestration/container-registry/management/resize
description: Learn how to upgrade your Vultr server to a more powerful configuration with additional resources.
publish_date: 2024-09-23T20:21:26.855899Z
last_updated: 2026-05-26T20:19:08.438636Z
---

# How to Upgrade Vultr Container Registry Plan

Managing Your Vultr Container Registry Plan enhances your storage capacity, access controls, and performance. By moving to a Premium, Business, or Enterprise plan, you can better meet your growing needs and take advantage of advanced features and improved capabilities. This upgrade ensures that your container registry can scale effectively with your requirements.

Follow this guide to upgrade your Vultr Container Registry plan on your Vultr account using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and click **Container Registry**.

    1. Click your target registry to open its management page.

    1. Click **Settings** to open its settings page.

    1. Select a plan in the **Upgrade Plan** section. 

    1. Click **Update** to apply the change.

=== "Vultr API"

    1. Send a `GET` request to the [**List Registry Plans** endpoint](https://www.vultr.com/api/#tag/Container-Registry/operation/list-registry-plans) and note the target plan key.

        ```console
        $ curl "https://api.vultr.com/v2/registry/plan/list" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `GET` request to the [**List Container Registries** endpoint](https://www.vultr.com/api/#tag/Container-Registry/operation/list-registries) and note the target registry's ID.

        ```console
        $ curl "https://api.vultr.com/v2/registries" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `PUT` request to the [**Update Container Registry** endpoint](https://www.vultr.com/api/#tag/Container-Registry/operation/update-registry) to upgrade the target registry plan.

        ```console
        $ curl "https://api.vultr.com/v2/registry/{registry-id}" \
            -X PUT \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "plan" : "{upgraded-plan-key}"
            }'
        ```

=== "Vultr CLI"

    1. List all Vultr Container Registry plans and note the target plan.

        ```console
        $ vultr-cli container-registry plans
        ```

    1. List all the available registries in your Vultr account and note the target registry's ID.

        ```console
        $ vultr-cli container-registry list
        ```

    1. Upgrade the plan of your target registry.

        ```console
        $ vultr-cli container-registry update <registry-id> --plan "<upgraded-plan-key>"
        ```

=== "Terraform"

    1. Open your Terraform configuration where the Container Registry is defined.

    1. Update the `plan` attribute in your Container Registry resource to upgrade to your desired plan.

        ```terraform
        terraform {
            required_providers {
                vultr = {
                    source  = "vultr/vultr"
                    version = "~> 2.27"
                }
            }
        }

        provider "vultr" {}

        resource "vultr_container_registry" "registry" {
          name   = "container-registry"
          region = "sjc"
          plan   = "business"  # Updated from "start_up" to "business"
          public = false
        }
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 0 added, 1 changed, 0 destroyed.
        ```
